Vector data set field Application

Brief Description

Set a field in vector data.

Tags

Vector data Manipulation

Long Description

Set a specified field to a specified value on all features of a vector data (Note: doesn't work with KML files yet)

Parameters

- [param] Input (-in): Input Vector Data

- [param] Output (-out): Output Vector Data

- [param] Field (-fn): Field name

- [param] Value (-fv): Field value

Limitations

None

Authors

OTB-Team

See also

Example of use

- Parameters to set value:

- Input: ToulousePoints-examples.shp

- Output: dataOut.shp

- Field: myField

- Value: myValue

- Command line to execute:

otbcli_VectorDataSetField -in ToulousePoints-examples.shp -out dataOut.shp -fn myField -fv myValue